import pandas as pd
import numpy as np
import scipy.stats as ss
import matplotlib.pyplot as plt

finnm = input('入力データファイル（*.xlsx）= ')
foutnm = input('出力テキストファイル（*.txt）= ')
fout = open(foutnm, 'w')
fout.write('\n入力データファイル：{}\n'.format(finnm))
#
#      Excelファイルの読み込み
#　　　モジュール xlrd がインストール済みであること
#
xlsx_fl = pd.ExcelFile(finnm)                       #   ExcelファイルからExcelFile型オブジェクトを生成
data_xlsx = pd.read_excel(xlsx_fl,  header = None)  #   ExcelFile型オブジェクトからDataFrame型オブジェクトを生成
data = data_xlsx.values                             #   Dataframe型オブジェクトからnumpyの配列オブジェクトを生成
print('\n', data)

X_Name = data[0, 1]
Y_Name = data[0, 2]
print(X_Name, Y_Name)
fout.write('\n{0}\n{1}\n'.format(X_Name, Y_Name))

X = data[1:, 1]
Y = data[1:, 2]
X = list(X)
Y = list(Y)
print(X)
print(Y)
fout.write('\n{}\n'.format(X))
fout.write('\n{}\n'.format(Y))

XY_cov = np.cov(X,Y)            #   不偏分散 
print('共分散行列\n', XY_cov)
fout.write('\n共分散行列\n{}\n'.format(XY_cov))

p_r, _p = ss.pearsonr(X, Y)
print('\nピアソンの積率相関係数 = ', p_r)
fout.write('\nピアソンの積率相関係数 = {0:.5f}\n'.format(p_r))

s_r, _p = ss.spearmanr(X, Y)
print('\nスピアマンの順位相関係数 = ', s_r)
fout.write('\nスピアマンの順位相関係数 = {0:.5f}\n'.format(s_r))

k_tau, _p = ss.kendalltau(X, Y)
print('\nケンドールの順位相関係数 = ', k_tau)
fout.write('\nケンドールの順位相関係数 = {0:.5f}\n'.format(k_tau))

fout.close()
print('\n出力ファイル{}が保存されました。\n'.format(foutnm))
